oRTP 4.3.0

Data Fields
_OrtpVideoBandwidthEstimatorParams Struct Reference

`#include <rtpsession.h>`

## Data Fields
int | enabled
unsigned int | packet_count_min
unsigned int | packets_size_max
unsigned int | trust_percentage

## Detailed Description

Structure describing the video bandwidth estimator parameters

## Field Documentation

## ◆ enabled

int _OrtpVideoBandwidthEstimatorParams::enabled

Whether estimator is enabled or off.

## ◆ packets_size_max

unsigned int _OrtpVideoBandwidthEstimatorParams::packets_size_max

minimum number of packets with the same sent timestamp to be processed continuously before being used

## ◆ trust_percentage

unsigned int _OrtpVideoBandwidthEstimatorParams::trust_percentage

number of packets needed to compute the available video bandwidth

The documentation for this struct was generated from the following file:

- rtpsession.h